package com.heyu.api.baidu.handle.convert;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.convert.BQueryTaskRequest;
import com.heyu.api.baidu.response.convert.BQueryTaskResp;
import org.springframework.stereotype.Component;

/***
 *
 * https://console.bce.baidu.com/support/?_=1740703582749&timestamp=1740706160699#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E6%99%BA%E8%83%BD%E6%96%87%E6%A1%A3%E5%88%86%E6%9E%90&api=rest%2F2.0%2Fbrain%2Fonline%2Fv1%2Fextract%2Fquery_task&method=post
 *
 *
 *文档抽取-获取结果
 */
@Component
public class BQueryTaskHandle extends BaiduBaseHandle<BQueryTaskRequest, BQueryTaskResp> {
    @Override
    public String getUri() {
        return "/rest/2.0/brain/online/v1/extract/query_task";
    }

    @Override
    public String check(BQueryTaskRequest bQueryTaskRequest) {

        return checkTaskId(bQueryTaskRequest);
    }

    @Override
    public String getContent(BQueryTaskRequest bQueryTaskRequest) {

        return "&task_id=" + bQueryTaskRequest.getTaskId();
    }
}
